#progress-fr {
  position: absolute;
  top: 10px;
  right: 250px;
  z-index: 2000;
  text-align: center;
  font-size: small;
  min-width: 165px;
  border-radius: 8px;
  background-color: #FAFBFD;
  display: none;
  padding: 16px;
}

#fr-table {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 0 !important;
  max-height: 300px;
  overflow: auto;
  border-radius: 10px;
  color: #fff;
  margin-bottom: 0 !important;
}


/* スピナーのスタイル */
.circular-spinner {
  width: 40px;
  height: 40px;
  /* 線の太さと色 */
  border: 4px solid #f3f3f3;
  /* 円形にする */
  border-radius: 50%;
  /* 一部分だけ色を変えて、回転しているように見せる */
  border-top: 4px solid #3498db;
  /* 回転アニメーションを適用 */
  animation: circular-spin 1s linear infinite;
  margin-bottom: 8px;
}

.progress-indicator-container {
  display: flex;
  align-items: center;
  width: 100%;
  margin-bottom: 8px;
  justify-content: space-between;
  gap: 8px;
}

.progress-indicator {
  flex: 1;
  background-color: #f1f1f1;
  height: 6px;
  border-radius: 10px;
  overflow: hidden;
  box-sizing: border-box;
  width: 100px;
}

.progress-indicator .progress-bar {
  height: 100%;
  background-color: #3498db;
  border-radius: 10px;
  transition: width 0.3s ease;
}

.progress-percentage {
  font-weight: bold;
  font-size: 14px;
  color: #fff;
  white-space: nowrap;
  min-width: 33px;
  text-align: right;
}



/* プログレスメッセージのスタイル */
.async-indicator-message {
  color: #141415;
  margin-bottom: 0;
  font-size: 12px;
  text-align: center;
}

@keyframes circular-spin {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}